general {
    inhibit_sleep = 3
    # lock_cmd = pidof hyprlock || hyprlock
    before_sleep_cmd = ~/.config/hypr/scripts/before-sleep.sh
    after_sleep_cmd = ~/.config/hypr/scripts/after-sleep.sh
    # ignore_dbus_inhibit = false
}

# TODO: migrate to brillo?
listener {
    timeout = 120
    on-timeout = brightnessctl -s set 0  # avoid 0 with OLED monitors
    on-resume = brightnessctl -r
}

listener {
    timeout = 180
    on-timeout = loginctl lock-session
}

listener {
    timeout = 330
    on-timeout = hyprctl dispatch dpms off
    on-resume = hyprctl dispatch dpms on && brightnessctl -r
}

listener {
    timeout = 300
    on-timeout = systemctl suspend
}
